petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESMonitorRange

Prints the percentage of residual elements that are more then 10 percent of the maximum value.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorRange(SNES snes,PetscInt it,PetscReal rnorm,PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - iterative context
| it | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - unused monitor context

### Options Database Key

-snes_monitor_range -Activates SNESMonitorRange()

### Keywords

SNES, default, monitor, residual

### See Also

SNESMonitorSet(), SNESMonitorDefault(), SNESMonitorLGCreate()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages